<?php
require_once("./__init__.php");
Rhaco::import("network.http.Header");
Rhaco::import("network.http.Request");
Rhaco::import("tag.HtmlParser");
Rhaco::import("tag.feed.Opml");
Rhaco::import("util.Pager");
Rhaco::importLibrary("UserController");
Rhaco::importLibrary("BookmarkController");
Rhaco::importLibrary("DbUtilGoesby");

$request 	= new Request();
$template	= new HtmlParser();
$dbUtil		= DbUtilGoesby::instance($dbUtil);
$BLOCK_LIST	= array_merge($BLOCK_LIST,array("block/page.html","block/player.html","block/pager.html"));
list($page,$count)	= PageController::get($request->getUrlMap(0),$request->getVariable("offset",0),$dbUtil);

if(!Variable::isClassType(Page,$page)){
	Header::redirect(Rhaco::page("index"));
}
$template->setVariable($request->getVariable());
$template->setVariable("title",$page->getTitle());
$template->setVariable("page",$page);
$template->setVariable("bookmarkList",$page->getBookmark());
$template->setVariable("itemList",$page->getItem());
$template->setVariable("playList",$page->getItem());
$template->setVariable("pager",new Pager($count,Rhaco::define("LIST_MAX_COUNT"),$request->getVariable("offset",0)));
$template->setVariable("rssTime",Rhaco::define("RSS_GET_MAX_HOUR",98));
$template->setVariable($VARIABLE_LIST);
$template->setReplace($REPLACE_LIST);
$template->setBlock($BLOCK_LIST);
$template->write("index.html");
?>